# Ensure httpd Webserver is installed
- name: Ensure the apache webserver installed
  package:
    name:
      - "{{ pkgs.apache }}"
      - "mod_ssl"

- name: Create cert dir
  file:
    path: /etc/certs
    state: directory

- name: Get Trusted Certificates
  get_url:
    url: "{{ httpd.trusted_ca.url }}"
    dest: /etc/certs/{{ httpd.trusted_ca.name }}

- name: Create my own CA
  when: hostkey_src is not defined
  import_tasks: tempca.yml

- name: Copy {{ hostkey }} into place
  when: hostkey_src is defined
  copy:
    src: "{{ hostkey_src }}"
    dest: "{{ hostkey_dest }}"

- name: Copy {{ hostcert }} into place
  when: hostcert_src is defined
  copy:
    src: "{{ hostcert_src }}"
    dest: "{{ hostcert_dest }}"